diff '--exclude=*.rej' '--exclude=dist' '--exclude=Linux2.6_x86_64_glibc_PTH_64_DBG.OBJ' '--exclude=*.orig' '--exclude=*.a' '--exclude=*.chk' '--exclude=*.so' '--exclude=*~' '--exclude=*.o' -Naur security/nss/tests//all.sh security/nss/tests//all.sh
--- security/nss/tests//all.sh	2010-08-03 13:42:53.772897211 +0200
+++ security/nss/tests//all.sh	2010-08-04 00:08:29.241534343 +0200
@@ -306,7 +306,7 @@
 cycles="standard pkix upgradedb sharedb"
 CYCLES=${NSS_CYCLES:-$cycles}
 
-tests="cipher libpkix cert dbtests tools fips sdr crmf smime ssl ocsp merge pkits chains"
+tests="cipher libpkix cert dbtests tools fips sdr crmf smime ssl ocsp merge pkits chains pss"
 TESTS=${NSS_TESTS:-$tests}
 
 ALL_TESTS=${TESTS}
diff '--exclude=*.rej' '--exclude=dist' '--exclude=Linux2.6_x86_64_glibc_PTH_64_DBG.OBJ' '--exclude=*.orig' '--exclude=*.a' '--exclude=*.chk' '--exclude=*.so' '--exclude=*~' '--exclude=*.o' -Naur security/nss/tests//pss/badsamples/cert-3-instead-1-before-pad.crt security/nss/tests//pss/badsamples/cert-3-instead-1-before-pad.crt
--- security/nss/tests//pss/badsamples/cert-3-instead-1-before-pad.crt	1970-01-01 01:00:00.000000000 +0100
+++ security/nss/tests//pss/badsamples/cert-3-instead-1-before-pad.crt	2010-08-03 23:07:59.823090335 +0200
@@ -0,0 +1,17 @@
+-----BEGIN CERTIFICATE-----
+MIICszCCAZugAwIBAgIFAJGPRFowDQYJKoZIhvcNAQEKMAAwETEPMA0GA1UEAxMG
+bXljZXJ0MCAXDTEwMDcyODIyMjgyNloYDzI4NDMxMDI4MjIyODI2WjARMQ8wDQYD
+VQQDEwZteWNlcnQwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQDgIUaO
+KpaGA5Y53gCWYpFfAN743+cD/EVdo6Sci8bm4o/h4ytfyB3RS6FHhLv0Aihc5rIh
+ZbvloQCbVPYT4yt3X/xX2LfZiflubaQQAA498shgHtWR9wz9bMCICsUq47cpiMN8
+lmSHCcL21keM2JIAzjiChN4Lg/MC6A/BKhw5lcuQdookepYAOxFGZOM5h95LR3bh
+i4qi1PJe/xgBzXAns/yADVkE7WXWe+2l5t9GU6ozcZg4v409Wq8Hn8BJB8ngF84w
+IorCAbQoKasj+uvbN7vFFk4yy8iFIlpXFflP7+dmwNKDS6TO09EAp11V/p5kluTV
+ONPcnleKhvyea2svAgMBAAGjEDAOMAwGA1UdEwQFMAMBAf8wDQYJKoZIhvcNAQEK
+MAADggEBAM3ZpshqBdb1aYW68W9aKAvxnfnlPNlXlqadpQZRsbHtmlUGVr0qR3Dl
+bXi/Mjeb7oTqyIiSUu8hRUTttKbDTUkymjlB22iRrQiJPT8TJTv9joEi+OsoiETC
+CeuImobxfYv//+8/dsv1Dxq+sJtMHlO3YaBXBG/s4ntzALPUqamjbBehe+V/8axr
+BpDjap3v5siIVh/sZLgwHI0a6AhDJwV1NVENYu2pITVXi/IOUb8yYinP3QXy2V03
+aBzO7Vq24EIgcMD8u/wjga1MYvurxS7X7kG/yxBv+I+A+Ea2qw4pFm9ctdTUAefB
+ttQ7jeTagcf8SkNBpd8UC03v9dka/NA=
+-----END CERTIFICATE-----
diff '--exclude=*.rej' '--exclude=dist' '--exclude=Linux2.6_x86_64_glibc_PTH_64_DBG.OBJ' '--exclude=*.orig' '--exclude=*.a' '--exclude=*.chk' '--exclude=*.so' '--exclude=*~' '--exclude=*.o' -Naur security/nss/tests//pss/badsamples/cert-with-0xcc-instead-of-0xbc.crt security/nss/tests//pss/badsamples/cert-with-0xcc-instead-of-0xbc.crt
--- security/nss/tests//pss/badsamples/cert-with-0xcc-instead-of-0xbc.crt	1970-01-01 01:00:00.000000000 +0100
+++ security/nss/tests//pss/badsamples/cert-with-0xcc-instead-of-0xbc.crt	2010-08-03 23:07:59.841090195 +0200
@@ -0,0 +1,17 @@
+-----BEGIN CERTIFICATE-----
+MIICszCCAZugAwIBAgIFAJGPQF4wDQYJKoZIhvcNAQEKMAAwETEPMA0GA1UEAxMG
+bXljZXJ0MCAXDTEwMDcyODIyMTkzMFoYDzI4NDMxMDI4MjIxOTMwWjARMQ8wDQYD
+VQQDEwZteWNlcnQwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQC9GJfQ
++JXsXSjNuWpOufYebnFA2/xbhWnTFH6yDqScz7vM9g3pl0+svYNQJfGQLgFa8t6S
+wEE7ZLwNm8RD2g8k993Bz9hcG55nlWvJN/I9Gz9csSW/1TqsOKQxzxxjLu7KkAeu
+uhhSaEdEEckthm+b5FoD4VLSNKt6Oj7Lr6uDd9zsY0hSvGEZl+jP5ckLStUZ9G8+
+f/aXu1XC//pS2iiVhFMxtzrOktGduY0Bp9qpzRdTVYLESuUJV1Gt9hIvIVS50LHZ
+JAJCspX/yIdBPzcPIiiNOD9IBH5KzwljcgoXff6CC5UKeGP3zLG3IdFGQQwu59L9
+DiNbjAtdFP1lZXBPAgMBAAGjEDAOMAwGA1UdEwQFMAMBAf8wDQYJKoZIhvcNAQEK
+MAADggEBAA2A/sJKynWc+ZaVunYTVqds7NUkUeIiwas4jGODmKs31hDJIGF0L9r9
+Bfu/ntAoHAojKVe01k5o2ADHOKzsyiXtxhiDV3Le2VcsWKmHBfhrvti/w08xyf70
+ovfx1DvdcbCfRVNEobzQV7a5fByZGiOXyoaRnXwINTzMqGsx6LEdUhpgSfRUrnFK
+QeIK26ErkkG2J+Snct10ZezyXSzz1rVFj8lyn9+s5zhdJrrHNI+btfQz0AUmofM1
+IV/HDLJMnDHXlcEZbgC2TpYxwpdv2aS9EuH3UV3YUB9r6nAJL9XEWTqFCc9jvpJc
+wEo3KQBtNAZes3frrklKcFKRiK1UJH4=
+-----END CERTIFICATE-----
diff '--exclude=*.rej' '--exclude=dist' '--exclude=Linux2.6_x86_64_glibc_PTH_64_DBG.OBJ' '--exclude=*.orig' '--exclude=*.a' '--exclude=*.chk' '--exclude=*.so' '--exclude=*~' '--exclude=*.o' -Naur security/nss/tests//pss/badsamples/cert-zeroed-one-bit-too-much.crt security/nss/tests//pss/badsamples/cert-zeroed-one-bit-too-much.crt
--- security/nss/tests//pss/badsamples/cert-zeroed-one-bit-too-much.crt	1970-01-01 01:00:00.000000000 +0100
+++ security/nss/tests//pss/badsamples/cert-zeroed-one-bit-too-much.crt	2010-08-03 23:07:59.854090102 +0200
@@ -0,0 +1,17 @@
+-----BEGIN CERTIFICATE-----
+MIICszCCAZugAwIBAgIFAJGPQ1kwDQYJKoZIhvcNAQEKMAAwETEPMA0GA1UEAxMG
+bXljZXJ0MCAXDTEwMDcyODIyMjYxMFoYDzI4NDMxMDI4MjIyNjEwWjARMQ8wDQYD
+VQQDEwZteWNlcnQwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQDCd9Ja
+W9LCQ8/FQSfvM31KDy0b0qLJeHjVxTK9D+ryVVaEdRD8k22jz3eE8E2uWFVDQ/Wh
+MGShJq9fHgM1Ve4EQsiFAm1FkiMa7bqYkQ/lVC8WzNRu8k5sUeaErqfnDVm44lFU
+ZlZSddLFvx+XuNU0e9nTpitlXjaoj38HlEy9dZXRzjmU22+CaLcSjoEb2NCXX+VV
+m4olmKOvssBg1CDBZ6I9bmBaIMwlzkfrCuNMSZyXpiwbzk/x6brNQviqr+Y7SjH6
+nkOrSKkiI+lRgzPoixcucADbbMSia0P3EzgTod/RdJRk7GiuFx7rr6HyIY9B6L5x
+oOQaZO8z9NP1blHLAgMBAAGjEDAOMAwGA1UdEwQFMAMBAf8wDQYJKoZIhvcNAQEK
+MAADggEBACQzecw/B/ok6VcsR6WNrWKnYpNtRmeYz3teAy1Fkgj2/hBg8q7LBw3s
+MmNG7Y4n7napXVIp+zpLyPQ0SbhFRBxbaU3MnaIIZ0ze1RdwPWOreBqtv9XLPdh/
+vHsTYnEvJLTOdgAncm/FIJpRz0lgWc9+mQsRsYzkjNPwfNJV1e9HD297suyLZ+2B
+bS+0+xO8hP1c/8xw3ILJajsojEs4ifvB/95jk5AeYGxg+LQekBrBJLIynWWzusUj
+DMv74ZG3O+QiXghiT8xAged9kAM3DFFXVxuNWZh+jk8+wGQhYsJzfd6/WAlZ/A35
+xGtrks1S/AvOEfNPfxOa9Djg3bhsgbQ=
+-----END CERTIFICATE-----
diff '--exclude=*.rej' '--exclude=dist' '--exclude=Linux2.6_x86_64_glibc_PTH_64_DBG.OBJ' '--exclude=*.orig' '--exclude=*.a' '--exclude=*.chk' '--exclude=*.so' '--exclude=*~' '--exclude=*.o' -Naur security/nss/tests//pss/goodsamples/sample-default.crt security/nss/tests//pss/goodsamples/sample-default.crt
--- security/nss/tests//pss/goodsamples/sample-default.crt	1970-01-01 01:00:00.000000000 +0100
+++ security/nss/tests//pss/goodsamples/sample-default.crt	2010-08-03 23:26:31.697970628 +0200
@@ -0,0 +1,31 @@
+-----BEGIN CERTIFICATE-----
+MIIFXzCCA0egAwIBAgIJAOwxYM74MJcsMA0GCSqGSIb3DQEBCjAAMEUxCzAJBgNV
+BAYTAkFVMRMwEQYDVQQIDApTb21lLVN0YXRlMSEwHwYDVQQKDBhJbnRlcm5ldCBX
+aWRnaXRzIFB0eSBMdGQwIBcNMTAwODAzMjEyNTE0WhgPMjI4NDA1MTcyMTI1MTRa
+MEUxCzAJBgNVBAYTAkFVMRMwEQYDVQQIDApTb21lLVN0YXRlMSEwHwYDVQQKDBhJ
+bnRlcm5ldCBXaWRnaXRzIFB0eSBMdGQwggIiMA0GCSqGSIb3DQEBAQUAA4ICDwAw
+ggIKAoICAQDclxmAXrjkyyT58/L53SMeDHfhoNJlTLh/N96XrxssFqMBg8sYqIuu
+vdI7SX/4b0tjBKK+/7CkYdJ+UTmBcUz0mxH8bMbhtwShEePeu9SlIKUCkE9k7t7n
+681smUnhl3RAoD062/GhWikbJyCrxS/paKB4El/YUfSQTo5hn7aIsJPYFYlWo9uK
+CM8CKSHyhO1UB80nx1zefoiIfdXsgLD5BnQ1YbrBVGjqUEET9KNjcLYvVva4V6cs
+SktABLG4EgsjPhs5PfnVDPZVRS9kNd1qYm5wLXcwl8et4x3eUeBhYE42YoaHfbKh
+nqdRfpTJR01PHp9IQk7RJtA1zEt4ZXlYLaRipSeN9Q9QScf0lDTDj0KQJXf8G/rd
+FM/sO+r1A+DMeH8Sal+dqGBVI7K/Zipqp71XDHo42vs/+Q8LhmR9mVmRD9w+zwyR
+z3CLbdwnDR1tcASz4dQEDavFD4IQi9JYn8C7XFO0U3dtv7bnfBWCTpYrEECVvE+G
+VlK2LlkLrMpFDN+N1qDm3w3U9Abn+FGQ2mSSvmq6w87yPssCrtoFM0LaAugPM7G6
+OcOd1ILQn8OufEkb4bOe7gVST0XruwaS3xPk1wdIHfHmdDSwDB4Fi+sG1m3emvug
+/2NzEFcIBFgtZG6B11YEyUtZY/O2GSGXJ5mjhNCf1L21op7y1RqZCQIDAQABo1Aw
+TjAdBgNVHQ4EFgQUtVOgZIhQXDPCEZ+AN+6L4Kukl6MwHwYDVR0jBBgwFoAUtVOg
+ZIhQXDPCEZ+AN+6L4Kukl6MwDAYDVR0TBAUwAwEB/zANBgkqhkiG9w0BAQowAAOC
+AgEAOF4F0MX3CjzPG+ByhwgSPc1FKUWWaesAt0QGVpAJPCNg7dvk+cOkwc9Dx+Zt
+ELOm4e4DV8iC8cpSBejJ0C31A2t/SSXkldly4iWk5Wido+Js2HyDIqxPBCJeC2p1
+fQJqA2tCdRJi0iebSHsWAxgjo/R9/fmYpjMSJBW/sVXZopzhhM6DO7hjktFSsctB
+yg8IK6u0Hpt8v/uNd04QXvaVJPSQmes+GzVNyUF24n0wcew+9/iZ0WN1WhpwU/9L
+XdAnlr1FxoX2CquLo5qv5jTl8TbB5MFUHmZPTVHJxWyhXDmpXwM9kRCS3LNqvuDh
+YKiMlOMMyHnWZLqf2InSKABgn0dgarNoII3I8yOf9xCYcAGw8/qRbN8maF/Yu75h
+cWQYP5U9reuOpNop65fDU+jYjqUZRH2LESPpvxU6ZPaJoB/kSNPwGIn4WGda+EdG
+MJynTFrT6XiTE9CvD5ka8K6gjecm7eJopUaYBFSpjIH84Vwos9Wfp3tWi1ZMfGWa
+N/8t0dPX0mW+8amFAmvzZpgXSOXl85ElYhVHn/su6MJkphP6K/6CfhZAXkVXdMQt
+INe68/nJPXbydWmuXpqiUUc8dVmWcCssRwGFYbb/OMMjVFsrZBiC1ubKKcEirfMJ
+hFAUSqkE6X1VxbKNHdafObojJVLVg0erg05hPy0LeGYfnl4=
+-----END CERTIFICATE-----
diff '--exclude=*.rej' '--exclude=dist' '--exclude=Linux2.6_x86_64_glibc_PTH_64_DBG.OBJ' '--exclude=*.orig' '--exclude=*.a' '--exclude=*.chk' '--exclude=*.so' '--exclude=*~' '--exclude=*.o' -Naur security/nss/tests//pss/goodsamples/sample-sha1-mgf1sha384-saltlen20.crt security/nss/tests//pss/goodsamples/sample-sha1-mgf1sha384-saltlen20.crt
--- security/nss/tests//pss/goodsamples/sample-sha1-mgf1sha384-saltlen20.crt	1970-01-01 01:00:00.000000000 +0100
+++ security/nss/tests//pss/goodsamples/sample-sha1-mgf1sha384-saltlen20.crt	2010-08-03 23:30:40.378502548 +0200
@@ -0,0 +1,19 @@
+-----BEGIN CERTIFICATE-----
+MIIDDTCCAdegAwIBAgIFAJGeQG8wKwYJKoZIhvcNAQEKMB6hHDAaBgkqhkiG9w0B
+AQgwDQYJYIZIAWUDBAICBQAwIDEeMBwGA1UEAxMVbXljZXJ0LVNIQTEtU0hBMzg0
+LTIwMCAXDTEwMDgwMzIxMjkzOFoYDzI4NDMxMTAzMjEyOTM4WjAgMR4wHAYDVQQD
+ExVteWNlcnQtU0hBMS1TSEEzODQtMjAwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAw
+ggEKAoIBAQDQ+iDhTcYDlQbsDmIqMPtE6WodMIbd26USwfj+LP02YoPMbQnTHR32
+l0uT7mK6jXJoX8bnpqG534pHHp3DO1RIi4Mo2g1kGQdrGgCjSTwi8WNaugylbBVL
+zPHF4jK05h8ZlKnx6vZWsJ18aUgHC47G9XjyuNtVnR2GtmrlEH68Um7XfBEMM+1w
+EJz4O83Ws9IPgPqnoBKtukkSXFOoh7raQEzZVcd2ekErlRiCHHHFyvGMiP2em7gL
+xt75jOGnFZ318ok1nccKyslhb4XTQR8cWRWtLq2CT6D+UoJKCuV/0aiTFI6S4Qgy
+EpvwkgediSucmADXmQSa0fMg6tRdwQfhAgMBAAGjEDAOMAwGA1UdEwQFMAMBAf8w
+KwYJKoZIhvcNAQEKMB6hHDAaBgkqhkiG9w0BAQgwDQYJYIZIAWUDBAICBQADggEB
+AFmjikwc/XN0uGkf8ECxxeEU+e7J9+Wyjg9qIW8Aph4XT6OfQ4qg8CHUZAAa/nP5
+UaBGDRzLDPCyOUjaacLY1vsekUoUsIZdjkHTcRqJdARJAA/VnN+y74sUGSQdqMmL
+eQaH2RWqlrwA5omGZ3ILKwuyPkfPgmdHi+TdvvLlLJkHNqHDKE6Zsp77p2tmDQml
+OpimS1QW6p5XckNNRcjY44ai5q4VeuZARud1ZsaLgxeFcH9yHpNwmSm23/odLrqb
+w6NZh18zaqme9iM4W0Mzphdagl/8cTywqWs0lMzXxbCJyyQeuTz4mnLOt3i2gMsb
+VIjMCUZ/BGZ0WlS7AK1MRgI=
+-----END CERTIFICATE-----
diff '--exclude=*.rej' '--exclude=dist' '--exclude=Linux2.6_x86_64_glibc_PTH_64_DBG.OBJ' '--exclude=*.orig' '--exclude=*.a' '--exclude=*.chk' '--exclude=*.so' '--exclude=*~' '--exclude=*.o' -Naur security/nss/tests//pss/goodsamples/sample-sha256-saltlen478.crt security/nss/tests//pss/goodsamples/sample-sha256-saltlen478.crt
--- security/nss/tests//pss/goodsamples/sample-sha256-saltlen478.crt	1970-01-01 01:00:00.000000000 +0100
+++ security/nss/tests//pss/goodsamples/sample-sha256-saltlen478.crt	2010-08-03 23:26:42.899899930 +0200
@@ -0,0 +1,33 @@
+-----BEGIN CERTIFICATE-----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+-----END CERTIFICATE-----
diff '--exclude=*.rej' '--exclude=dist' '--exclude=Linux2.6_x86_64_glibc_PTH_64_DBG.OBJ' '--exclude=*.orig' '--exclude=*.a' '--exclude=*.chk' '--exclude=*.so' '--exclude=*~' '--exclude=*.o' -Naur security/nss/tests//pss/goodsamples/sample-sha384-mgf1sha256-saltlen1.crt security/nss/tests//pss/goodsamples/sample-sha384-mgf1sha256-saltlen1.crt
--- security/nss/tests//pss/goodsamples/sample-sha384-mgf1sha256-saltlen1.crt	1970-01-01 01:00:00.000000000 +0100
+++ security/nss/tests//pss/goodsamples/sample-sha384-mgf1sha256-saltlen1.crt	2010-08-03 23:30:40.378502548 +0200
@@ -0,0 +1,20 @@
+-----BEGIN CERTIFICATE-----
+MIIDOzCCAe+gAwIBAgIFAJGeQMswQQYJKoZIhvcNAQEKMDSgDzANBglghkgBZQME
+AgIFAKEcMBoGCSqGSIb3DQEBCDANBglghkgBZQMEAgEFAKIDAgEBMCExHzAdBgNV
+BAMTFm15Y2VydC1TSEEzODQtU0hBMjU2LTEwIBcNMTAwODAzMjEzMDI0WhgPMjg0
+MzExMDMyMTMwMjRaMCExHzAdBgNVBAMTFm15Y2VydC1TSEEzODQtU0hBMjU2LTEw
+ggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQDYJ1FJOwp6R9TS+93ThN3M
+4ZQiAs9mnxXlAWVFfTDjQqDccqxqHRc32VmCdKf301k7rlu3e4Yip0KlzRMCJAKI
+t0Ezja3JtN+Z/Vz9sXrWGF5Dt77x3uPh14zwg0YK6MLz4a/d9QkIwsuA9z9uefoj
+vDnnMVHkg3TxjxhKwHi2yDmPkrvM9fBlP784adFx6QpY/B/jUOIHkPkmtsgTWuiW
+Vj6a8BR8uxyLiQKCRqw6bc387e9KlxYSv6gLujBlSSpVhGEWuOZlKyczxPo/qk/K
+bKMfeXkiU5arRqDm6HHc6yCx1P214kXHkyHwAcUQXmU64P5EC6CWb0vzpGRBUexR
+AgMBAAGjEDAOMAwGA1UdEwQFMAMBAf8wQQYJKoZIhvcNAQEKMDSgDzANBglghkgB
+ZQMEAgIFAKEcMBoGCSqGSIb3DQEBCDANBglghkgBZQMEAgEFAKIDAgEBA4IBAQBP
+inkkholQ+7WDtdIbJHNLdLuqlyWMe/4JEbHP+qngYtyJhhFJwRhOsqIexjzsgFzx
+Z4p0B1XGB6RxLzb/h/HteFMjmJNIDxGMKUJTEGZcwf2yoeEgr8gBLNGV4Q7fLboE
+5qkIniHdiCtmY8G/oCqziLryvi1+mYbOv3/aQK5Rp2b4pt85VdUurnVYASH4iXpB
+2jKFNFKTZp2pKq0d81sja5YvxtVAtuzHjL+B8ZLfy00cGTY4/E833WSzfuk0WV6P
+zFya9ucCORe/4A+4Eg4h2AcRYsDBF1y5PGIiQp+X2De4kzCHSa2qb0b9PsDA4NXF
+wWqJw+qToD3ZOZw/wjHT
+-----END CERTIFICATE-----
diff '--exclude=*.rej' '--exclude=dist' '--exclude=Linux2.6_x86_64_glibc_PTH_64_DBG.OBJ' '--exclude=*.orig' '--exclude=*.a' '--exclude=*.chk' '--exclude=*.so' '--exclude=*~' '--exclude=*.o' -Naur security/nss/tests//pss/goodsamples/sample-sha512-emptysalt.crt security/nss/tests//pss/goodsamples/sample-sha512-emptysalt.crt
--- security/nss/tests//pss/goodsamples/sample-sha512-emptysalt.crt	1970-01-01 01:00:00.000000000 +0100
+++ security/nss/tests//pss/goodsamples/sample-sha512-emptysalt.crt	2010-08-03 23:28:00.020425955 +0200
@@ -0,0 +1,33 @@
+-----BEGIN CERTIFICATE-----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+-----END CERTIFICATE-----
diff '--exclude=*.rej' '--exclude=dist' '--exclude=Linux2.6_x86_64_glibc_PTH_64_DBG.OBJ' '--exclude=*.orig' '--exclude=*.a' '--exclude=*.chk' '--exclude=*.so' '--exclude=*~' '--exclude=*.o' -Naur security/nss/tests//pss/pss.sh security/nss/tests//pss/pss.sh
--- security/nss/tests//pss/pss.sh	1970-01-01 01:00:00.000000000 +0100
+++ security/nss/tests//pss/pss.sh	2010-08-04 00:07:38.532809846 +0200
@@ -0,0 +1,113 @@
+#! /bin/bash  
+#
+# ***** BEGIN LICENSE BLOCK *****
+# Version: MPL 1.1/GPL 2.0/LGPL 2.1
+#
+# The contents of this file are subject to the Mozilla Public License Version
+# 1.1 (the "License"); you may not use this file except in compliance with
+# the License. You may obtain a copy of the License at
+# http://www.mozilla.org/MPL/
+#
+# Software distributed under the License is distributed on an "AS IS" basis,
+# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
+# for the specific language governing rights and limitations under the
+# License.
+#
+# The Original Code is the Netscape security libraries.
+#
+# The Initial Developer of the Original Code is
+# Netscape Communications Corporation.
+# Portions created by the Initial Developer are Copyright (C) 1994-2009
+# the Initial Developer. All Rights Reserved.
+#
+# Contributor(s):
+#   Hanno Boeck <hanno@hboeck.de>
+#
+# Alternatively, the contents of this file may be used under the terms of
+# either the GNU General Public License Version 2 or later (the "GPL"), or
+# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
+# in which case the provisions of the GPL or the LGPL are applicable instead
+# of those above. If you wish to allow use of your version of this file only
+# under the terms of either the GPL or the LGPL, and not to allow others to
+# use your version of this file under the terms of the MPL, indicate your
+# decision by deleting the provisions above and replace them with the notice
+# and other provisions required by the GPL or the LGPL. If you do not delete
+# the provisions above, a recipient may use your version of this file under
+# the terms of any one of the MPL, the GPL or the LGPL.
+#
+# ***** END LICENSE BLOCK *****
+
+########################################################################
+#
+# mozilla/security/nss/tests/pss/pss.sh
+#
+# Script to test NSS RSA-PSS certificates
+#
+########################################################################
+
+############################## pss_init ################################
+# local shell function to initialize this script
+########################################################################
+pss_init()
+{
+  mydir=`pwd`
+
+  SCRIPTNAME=pss.sh      # sourced - $0 would point to all.sh
+
+  if [ -z "${INIT_SOURCED}" -o "${INIT_SOURCED}" != "TRUE" ]; then
+      cd ../common
+      . ./init.sh
+  fi
+
+  html_head "RSA-PSS Tests"
+
+  PSSDIR="${HOSTDIR}/pss"
+  mkdir -p "${PSSDIR}"
+}
+
+############################## pss_main ################################
+# local shell function to run the tests
+########################################################################
+pss_main()
+{
+pwd
+  for i in ${mydir}/goodsamples/*; do
+    ${BINDIR}/vfychain -pp -t -a $i
+    html_msg $? 0 Verifying known-good certificate $i
+  done
+  for i in ${mydir}/badsamples/*; do
+    ${BINDIR}/vfychain -pp -t -a $i
+    html_msg $? 1 Verifying known-bad certificate $i
+  done
+  echo "eiCh0Goo" > ${PSSDIR}/password.txt
+  echo -e "y\n\n" > ${PSSDIR}/input
+  ${BINDIR}/certutil -N -d ${PSSDIR} -f ${PSSDIR}/password.txt
+  echo ${BINDIR}/certutil -S --pss default -2 -d ${PSSDIR} -v 9999 -g 2048 -n pss1 -s "cn=pss1" -x -t "C" -z ${NOISE_FILE} -f ${PSSDIR}/password.txt
+  ${BINDIR}/certutil -S --pss default -d ${PSSDIR} -2 -v 9999 -g 2048 -n pss1 -s "cn=pss1" -x -t "C" -z ${NOISE_FILE} -f ${PSSDIR}/password.txt < ${PSSDIR}/input
+  ${BINDIR}/certutil -S -Z SHA256 --pss MGF1:SHA384:0 -d ${PSSDIR} -2 -v 9999 -g 2048 -n pss2 -s "cn=pss2" -x -t "C" -z ${NOISE_FILE} -f ${PSSDIR}/password.txt < ${PSSDIR}/input
+  ${BINDIR}/certutil -S -Z SHA512 --pss MGF1:SHA1:50 -d ${PSSDIR} -2 -v 9999 -g 2048 -n pss3 -s "cn=pss3" -x -t "C" -z ${NOISE_FILE} -f ${PSSDIR}/password.txt < ${PSSDIR}/input
+
+  for i in 1 2 3; do
+      ${BINDIR}/certutil -L -d ${PSSDIR} -n pss$i -a > ${PSSDIR}/pss$i.crt
+      ${BINDIR}/vfychain -pp -t -a ${PSSDIR}/pss$i.crt
+      html_msg $? 0 Verifying self created certificate $i
+  done
+
+}
+  
+############################## pss_cleanup ############################
+# local shell function to finish this script (no exit since it might be
+# sourced)
+########################################################################
+pss_cleanup()
+{
+  html "</TABLE><BR>"
+  cd ${QADIR}
+  . common/cleanup.sh
+}
+
+################## main #################################################
+
+pss_init
+pss_main
+pss_cleanup
